Classes | Macros | Functions | Variables
gr55xx_efuse_layout.h File Reference
`#include <stdio.h>`
`#include <stdint.h>`
Include dependency graph for gr55xx_efuse_layout.h:

Go to the source code of this file.

## Classes
struct | _usb_trim_t
struct | _efuse_trim0_t
struct | _efuse_exflash_timing_t
struct | _efuse_sadc_trim_t
struct | _efuse_comp_trim_t
struct | _efuse_trim1_t
struct | __attribute__
struct | __attribute__

## Macros
#define | EFUSE_BT_ADDR_SIZE (6)
#define | EFUSE_CHIP_UID_SIZE (16)
#define | EFUSE_CHIP_ID_SIZE (6)
#define | EFUSE_PRODUCT_ID_SIZE (2)
#define | FW_PUBLIC_KEY_HASH_SIZE (16)
#define | ROOT_PUBLIC_KEY_HASH_SIZE (16)
#define | EFUSE_TRIM_PATTERN (0x4744)
#define | EFUSE_IO_LDO_SEL_MASK (0x01)
#define | EFUSE_IO_LDO_BYPASS_MASK (0x02)

## Functions
struct _usb_trim_t | __attribute__ ((packed)) usb_trim_t

## Variables
typedef | __attribute__
uint16_t | usb_rg_xcvr_rtrimp
uint16_t | usb_rg_xcvr_rtrimn
uint16_t | usb_rg_ldo33_vesl
uint16_t | usb_rh_ldo33_bias
uint8_t | chip_uid [EFUSE_CHIP_UID_SIZE]
uint8_t | ate_version
uint8_t | reserved0 [2]
uint8_t | io_ldo_sel
uint8_t | bt_addr [EFUSE_BT_ADDR_SIZE]
uint16_t | xo_offset
uint16_t | pattern
uint16_t | trim_sum
uint16_t | hw_version
uint16_t | chip_id
uint16_t | package
uint16_t | flash_size
uint16_t | ram_size
uint8_t | reserved1 [2]
uint8_t | dcdc_vout1p15
uint8_t | dcdc_vout1p05
uint8_t | dig_ldo_0p9
uint8_t | dig_ldo_1p05
uint8_t | io_ldo_1p8
uint8_t | io_ldo_3p0
uint8_t | reserved2 [4]
uint8_t | tx_power
uint8_t | rssi_cali
uint8_t | lp_gain_offset_2m
uint8_t | reserved3
usb_trim_t | usb_trim
uint8_t | flash_tVSL
uint8_t | flash_tESL
uint8_t | flash_tPSL
uint8_t | flash_tPRS
uint8_t | flash_tERS
uint8_t | flash_tDP
uint8_t | flash_tRES2
uint8_t | flash_tRDINT
uint16_t | offset_int_0p8
uint16_t | slope_int_0p8
uint16_t | offset_int_1p2
uint16_t | slope_int_1p2
uint16_t | offset_int_1p6
uint16_t | slope_int_1p6
uint16_t | offset_ext_1p0
uint16_t | slope_ext_1p0
uint16_t | temp
uint16_t | slope_int_no1
uint16_t | slope_int_no2
efuse_sadc_trim_t | sadc_trim
efuse_exflash_timing_t | flash_timing
efuse_comp_trim_t | comp_trim
uint16_t | temp_ref
uint8_t | reserved [28]

## Macro Definition Documentation

## ◆ EFUSE_BT_ADDR_SIZE

#define EFUSE_BT_ADDR_SIZE (6)

Definition at line 7 of file gr55xx_efuse_layout.h.

## ◆ EFUSE_CHIP_ID_SIZE

#define EFUSE_CHIP_ID_SIZE (6)

Definition at line 9 of file gr55xx_efuse_layout.h.

## ◆ EFUSE_CHIP_UID_SIZE

#define EFUSE_CHIP_UID_SIZE (16)

Definition at line 8 of file gr55xx_efuse_layout.h.

## ◆ EFUSE_IO_LDO_BYPASS_MASK

#define EFUSE_IO_LDO_BYPASS_MASK (0x02)

Definition at line 17 of file gr55xx_efuse_layout.h.

## ◆ EFUSE_IO_LDO_SEL_MASK

#define EFUSE_IO_LDO_SEL_MASK (0x01)

Definition at line 16 of file gr55xx_efuse_layout.h.

## ◆ EFUSE_PRODUCT_ID_SIZE

#define EFUSE_PRODUCT_ID_SIZE (2)

Definition at line 10 of file gr55xx_efuse_layout.h.

## ◆ EFUSE_TRIM_PATTERN

#define EFUSE_TRIM_PATTERN (0x4744)

Definition at line 14 of file gr55xx_efuse_layout.h.

## ◆ FW_PUBLIC_KEY_HASH_SIZE

#define FW_PUBLIC_KEY_HASH_SIZE (16)

Definition at line 11 of file gr55xx_efuse_layout.h.

## ◆ ROOT_PUBLIC_KEY_HASH_SIZE

#define ROOT_PUBLIC_KEY_HASH_SIZE (16)

Definition at line 12 of file gr55xx_efuse_layout.h.

## Function Documentation

## ◆ __attribute__()

struct _usb_trim_t __attribute__ | ( | (packed) |  | ) |

## Variable Documentation

## ◆ __attribute__

struct _efuse_trim1_t __attribute__

## ◆ ate_version

uint8_t ate_version

Definition at line 1 of file gr55xx_efuse_layout.h.

## ◆ bt_addr

uint8_t bt_addr[EFUSE_BT_ADDR_SIZE]

Definition at line 4 of file gr55xx_efuse_layout.h.

## ◆ chip_id

uint16_t chip_id

Definition at line 9 of file gr55xx_efuse_layout.h.

## ◆ chip_uid

uint8_t chip_uid[EFUSE_CHIP_UID_SIZE]

Definition at line 0 of file gr55xx_efuse_layout.h.

## ◆ comp_trim

efuse_comp_trim_t comp_trim

Definition at line 2 of file gr55xx_efuse_layout.h.

## ◆ dcdc_vout1p05

uint8_t dcdc_vout1p05

Definition at line 15 of file gr55xx_efuse_layout.h.

## ◆ dcdc_vout1p15

uint8_t dcdc_vout1p15

Definition at line 14 of file gr55xx_efuse_layout.h.

## ◆ dig_ldo_0p9

uint8_t dig_ldo_0p9

Definition at line 16 of file gr55xx_efuse_layout.h.

## ◆ dig_ldo_1p05

uint8_t dig_ldo_1p05

Definition at line 17 of file gr55xx_efuse_layout.h.

## ◆ flash_size

uint16_t flash_size

Definition at line 11 of file gr55xx_efuse_layout.h.

## ◆ flash_tDP

uint8_t flash_tDP

Definition at line 5 of file gr55xx_efuse_layout.h.

## ◆ flash_tERS

uint8_t flash_tERS

Definition at line 4 of file gr55xx_efuse_layout.h.

## ◆ flash_tESL

uint8_t flash_tESL

Definition at line 1 of file gr55xx_efuse_layout.h.

## ◆ flash_timing

efuse_exflash_timing_t flash_timing

Definition at line 1 of file gr55xx_efuse_layout.h.

## ◆ flash_tPRS

uint8_t flash_tPRS

Definition at line 3 of file gr55xx_efuse_layout.h.

## ◆ flash_tPSL

uint8_t flash_tPSL

Definition at line 2 of file gr55xx_efuse_layout.h.

## ◆ flash_tRDINT

uint8_t flash_tRDINT

Definition at line 7 of file gr55xx_efuse_layout.h.

## ◆ flash_tRES2

uint8_t flash_tRES2

Definition at line 6 of file gr55xx_efuse_layout.h.

## ◆ flash_tVSL

uint8_t flash_tVSL

Definition at line 0 of file gr55xx_efuse_layout.h.

## ◆ hw_version

uint16_t hw_version

Definition at line 8 of file gr55xx_efuse_layout.h.

## ◆ io_ldo_1p8

uint8_t io_ldo_1p8

Definition at line 18 of file gr55xx_efuse_layout.h.

## ◆ io_ldo_3p0

uint8_t io_ldo_3p0

Definition at line 19 of file gr55xx_efuse_layout.h.

## ◆ io_ldo_sel

uint8_t io_ldo_sel

Definition at line 3 of file gr55xx_efuse_layout.h.

## ◆ lp_gain_offset_2m

uint8_t lp_gain_offset_2m

Definition at line 23 of file gr55xx_efuse_layout.h.

## ◆ offset_ext_1p0

uint16_t offset_ext_1p0

Definition at line 6 of file gr55xx_efuse_layout.h.

## ◆ offset_int_0p8

uint16_t offset_int_0p8

Definition at line 0 of file gr55xx_efuse_layout.h.

## ◆ offset_int_1p2

uint16_t offset_int_1p2

Definition at line 2 of file gr55xx_efuse_layout.h.

## ◆ offset_int_1p6

uint16_t offset_int_1p6

Definition at line 4 of file gr55xx_efuse_layout.h.

## ◆ package

uint16_t package

Definition at line 10 of file gr55xx_efuse_layout.h.

## ◆ pattern

uint16_t pattern

Definition at line 6 of file gr55xx_efuse_layout.h.

## ◆ ram_size

uint16_t ram_size

Definition at line 12 of file gr55xx_efuse_layout.h.

## ◆ reserved

uint8_t reserved[28]

Definition at line 4 of file gr55xx_efuse_layout.h.

## ◆ reserved0

uint8_t reserved0[2]

Definition at line 2 of file gr55xx_efuse_layout.h.

## ◆ reserved1

uint8_t reserved1[2]

Definition at line 13 of file gr55xx_efuse_layout.h.

## ◆ reserved2

uint8_t reserved2[4]

Definition at line 20 of file gr55xx_efuse_layout.h.

## ◆ reserved3

uint8_t reserved3

Definition at line 24 of file gr55xx_efuse_layout.h.

## ◆ rssi_cali

uint8_t rssi_cali

Definition at line 22 of file gr55xx_efuse_layout.h.

## ◆ sadc_trim

efuse_sadc_trim_t sadc_trim

Definition at line 0 of file gr55xx_efuse_layout.h.

## ◆ slope_ext_1p0

uint16_t slope_ext_1p0

Definition at line 7 of file gr55xx_efuse_layout.h.

## ◆ slope_int_0p8

uint16_t slope_int_0p8

Definition at line 1 of file gr55xx_efuse_layout.h.

## ◆ slope_int_1p2

uint16_t slope_int_1p2

Definition at line 3 of file gr55xx_efuse_layout.h.

## ◆ slope_int_1p6

uint16_t slope_int_1p6

Definition at line 5 of file gr55xx_efuse_layout.h.

## ◆ slope_int_no1

uint16_t slope_int_no1

Definition at line 0 of file gr55xx_efuse_layout.h.

## ◆ slope_int_no2

uint16_t slope_int_no2

Definition at line 1 of file gr55xx_efuse_layout.h.

## ◆ temp

uint16_t temp

Definition at line 8 of file gr55xx_efuse_layout.h.

## ◆ temp_ref

uint16_t temp_ref

Definition at line 3 of file gr55xx_efuse_layout.h.

## ◆ trim_sum

uint16_t trim_sum

Definition at line 7 of file gr55xx_efuse_layout.h.

## ◆ tx_power

uint8_t tx_power

Definition at line 21 of file gr55xx_efuse_layout.h.

## ◆ usb_rg_ldo33_vesl

uint16_t usb_rg_ldo33_vesl

Definition at line 2 of file gr55xx_efuse_layout.h.

## ◆ usb_rg_xcvr_rtrimn

uint16_t usb_rg_xcvr_rtrimn

Definition at line 1 of file gr55xx_efuse_layout.h.

## ◆ usb_rg_xcvr_rtrimp

uint16_t usb_rg_xcvr_rtrimp

Definition at line 0 of file gr55xx_efuse_layout.h.

## ◆ usb_rh_ldo33_bias

uint16_t usb_rh_ldo33_bias

Definition at line 3 of file gr55xx_efuse_layout.h.

## ◆ usb_trim

usb_trim_t usb_trim

Definition at line 25 of file gr55xx_efuse_layout.h.

## ◆ xo_offset

uint16_t xo_offset

Definition at line 5 of file gr55xx_efuse_layout.h.